How to install h5py for Python


#1

Has anyone been successful installing h5py on c9? I tried with both “pip install h5py” with and without sudo, and “sudo easy_install h5py”, but got the same end result (see tail end of command line error message below).

Thanks,

takku


/usr/lib/python2.7/dist-packages/numpy/core/include/numpy/npy_1_7_deprecated_api.h:15:2: warning: #warning "Using deprecated NumPy API, disable it by " “#defining NPY_NO_DEPRECATED_API NPY_1_7_API_VERSION” [-Wcpp]
#warning "Using deprecated NumPy API, disable it by "
^
In file included from /tmp/easy_install-xNJmAs/h5py-2.6.0/h5py/defs.c:354:0:
/tmp/easy_install-xNJmAs/h5py-2.6.0/h5py/api_compat.h:27:18: fatal error: hdf5.h: No such file or directory
#include “hdf5.h”
^
compilation terminated.
error: Setup script exited with error: command ‘x86_64-linux-gnu-gcc’ failed with exit status 1